curl --request GET \
--url https://app.omnivibe.com.br/api/v1/accounts/{account_id} \
--header 'api_access_token: <api-key>'import requests
url = "https://app.omnivibe.com.br/api/v1/accounts/{account_id}"
headers = {"api_access_token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {api_access_token: '<api-key>'}};
fetch('https://app.omnivibe.com.br/api/v1/accounts/{account_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.omnivibe.com.br/api/v1/accounts/{account_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"api_access_token: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.omnivibe.com.br/api/v1/accounts/{account_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("api_access_token", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://app.omnivibe.com.br/api/v1/accounts/{account_id}")
.header("api_access_token", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.omnivibe.com.br/api/v1/accounts/{account_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["api_access_token"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"id": 123,
"name": "<string>",
"locale": "<string>",
"domain": "<string>",
"support_email": "<string>",
"status": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"cache_keys": {},
"features": {},
"settings": {
"auto_resolve_after": 123,
"auto_resolve_message": "<string>",
"auto_resolve_ignore_waiting": true
},
"custom_attributes": {
"plan_name": "<string>",
"subscribed_quantity": 123,
"subscription_status": "<string>",
"subscription_ends_on": "2023-12-25",
"industry": "<string>",
"company_size": "<string>",
"timezone": "<string>",
"logo": "<string>",
"onboarding_step": "<string>",
"marked_for_deletion_at": "2023-11-07T05:31:56Z",
"marked_for_deletion_reason": "<string>"
},
"latest_chatwoot_version": "3.0.0",
"subscribed_features": [
"<string>"
]
}{
"description": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}{
"description": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}Get account details
Get the details of the current account
curl --request GET \
--url https://app.omnivibe.com.br/api/v1/accounts/{account_id} \
--header 'api_access_token: <api-key>'import requests
url = "https://app.omnivibe.com.br/api/v1/accounts/{account_id}"
headers = {"api_access_token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {api_access_token: '<api-key>'}};
fetch('https://app.omnivibe.com.br/api/v1/accounts/{account_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.omnivibe.com.br/api/v1/accounts/{account_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"api_access_token: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.omnivibe.com.br/api/v1/accounts/{account_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("api_access_token", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://app.omnivibe.com.br/api/v1/accounts/{account_id}")
.header("api_access_token", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.omnivibe.com.br/api/v1/accounts/{account_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["api_access_token"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"id": 123,
"name": "<string>",
"locale": "<string>",
"domain": "<string>",
"support_email": "<string>",
"status": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"cache_keys": {},
"features": {},
"settings": {
"auto_resolve_after": 123,
"auto_resolve_message": "<string>",
"auto_resolve_ignore_waiting": true
},
"custom_attributes": {
"plan_name": "<string>",
"subscribed_quantity": 123,
"subscription_status": "<string>",
"subscription_ends_on": "2023-12-25",
"industry": "<string>",
"company_size": "<string>",
"timezone": "<string>",
"logo": "<string>",
"onboarding_step": "<string>",
"marked_for_deletion_at": "2023-11-07T05:31:56Z",
"marked_for_deletion_reason": "<string>"
},
"latest_chatwoot_version": "3.0.0",
"subscribed_features": [
"<string>"
]
}{
"description": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}{
"description": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}Authorizations
This token can be obtained by visiting the profile page or via rails console. Provides access to endpoints based on the user permissions levels. This token can be saved by an external system when user is created via API, to perform activities on behalf of the user.
Path Parameters
The numeric ID of the account
Response
Success
Account ID
Name of the account
The locale of the account
The domain of the account
The support email of the account
The status of the account
The creation date of the account
Cache keys for the account
Enabled features for the account
Account settings
Show child attributes
Show child attributes
Custom attributes of the account
Show child attributes
Show child attributes
Latest version of Omnivibe available
"3.0.0"
List of subscribed enterprise features (if enterprise edition is enabled)
Was this page helpful?